using System;

namespace UnitTestCase
{
	using GrammerAnalyzer;
	using PhraseAnalyzer;
	using Calculator;
	using NUnit.Framework;
	/// <summary>
	/// 
	/// </summary>
	[TestFixture]
	public class CalculationTest
	{
		protected string expression="";
		[SetUp]public void Init()
		{
			
		}
		[Test]public void Cal1()
		{
			expression="50%40";
			PhraseStorage ps=new PhraseStorage();
			//ʷ
			PhraseAnalyzer pa=new PhraseAnalyzer(expression+"#=",ref ps);
			//ʷȷ
			CalUnit cunit=new CalUnit(ref ps);
			cunit.Run();
			Assert.AreEqual("10",cunit.ANS, "");
		}
		[Test]public void Cal2()
		{
			expression="50-10*atglg70";
			PhraseStorage ps=new PhraseStorage();
			//ʷ
			PhraseAnalyzer pa=new PhraseAnalyzer(expression+"#=",ref ps);
			//ʷȷ
			CalUnit cunit=new CalUnit(ref ps);
			cunit.Run();
			Assert.AreEqual("39.2586603756943",cunit.ANS, "");
		}
		[Test]public void Cal3()
		{
			expression="lnsin90^atgcos70!";
			PhraseStorage ps=new PhraseStorage();
			//ʷ
			PhraseAnalyzer pa=new PhraseAnalyzer(expression+"#=",ref ps);
			//ʷȷ
			CalUnit cunit=new CalUnit(ref ps);
			cunit.Run();
			Assert.AreEqual("ERROR",cunit.ANS, "");
		}
	}
}
